Переполнение буфера в IBM Tivoli Storage Manager

Дата публикации:
08.12.2006
Дата изменения:
25.05.2008
Всего просмотров:
1173
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-5855
CVE-2006-6309
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
IBM Tivoli Storage Manager 5.x
Уязвимые версии: IBM Tivoli Storage Manager версии до 5.3.4 и 5.2.9

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за ошибки проверки границ данных при обработке языкового поля в начальном sign-on запросе, если первый байт строки установлен в "0x18". Удаленный пользователь может с помощью специально сформированного сообщения, содержащего слишком длинное языковое поле, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в функции "SmExecuteWdsfSession()" при обработке определенных полей в сообщении. Удаленный пользователь может с помощью специально сформированного сообщения вызвать переполнение буфера и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки проверки границ данных при открытии регистрационного сообщения. Удаленный пользователь может вызвать переполнение буфера.

URL производителя: www.ibm.com

Решение: Установите исправление с сайта производителя.

Ссылки: TSRT-06-14: IBM Tivoli Storage Manager Mutiple Buffer Overflow Vulnerabilities

или введите имя

CAPTCHA